// ==========================================
// Forms
// ==========================================
@use "../../../../../../node_modules/sass-rem/rem";
@use "../../utilities/variables/" as v;

input,
select,
textarea {
    background-color: v.$input--background-color;
    border: 1px solid v.$input--border-color;
    color: v.$input--color;
    font-size: rem.convert(v.$input--font-size);
    font-weight: 400;
    padding: 15px;
    width: 100%;
}

select {
    padding: 8px;
}

input:focus,
textarea:focus {
    outline: 1px solid v.$outline--color;
}

input[type="checkbox"],
input[type="image"],
input[type="radio"] {
    width: auto;
}

::-moz-placeholder {
    color: v.$placeholder--color;
    opacity: 1;
}

::-webkit-input-placeholder {
    color: v.$placeholder--color;
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
    background-color: v.$button--background-color;
    border: 0;
    color: v.$button--color;
    cursor: pointer;
    font-size: rem.convert(v.$button--font-size);
    font-weight: 600;
    padding: 15px 30px;
    text-decoration: none;
    white-space: normal;
    width: auto;
}

button:focus,
button:hover,
input[type="button"]:focus,
input[type="button"]:hover,
input[type="reset"]:focus,
input[type="reset"]:hover,
input[type="submit"]:focus,
input[type="submit"]:hover {
    background-color: v.$button--active-background-color;
    color: v.$button--active-color;
}

button.small,
input[type="button"].small,
input[type="reset"].small,
input[type="submit"].small {
    padding: 8px 16px;
}

button:disabled,
button:disabled:hover,
input:disabled,
input:disabled:hover,
input[type="button"]:disabled,
input[type="button"]:disabled:hover,
input[type="reset"]:disabled,
input[type="reset"]:disabled:hover,
input[type="submit"]:disabled,
input[type="submit"]:disabled:hover {
    opacity: 0.5;
    cursor: not-allowed;
}


input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button {
    display: none;
}
